package com.brilliance.isc.common.liaall.vo;

import com.brilliance.isc.common.vo.SimpleModuleVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

//取代原来的Parstm
@Data
public class LiaallRegisterVo {

    private String dbtrol;

    private String cur;

    private BigDecimal newAmt = BigDecimal.ZERO;

    private String cbtpfx;

    //取代原来的path，改成SimpleModuleVo对象
    private SimpleModuleVo linkModule;

    private int rolepart = 0;

    private String grpKey;

    private List<String> othrol;

    private List<String> cdtrol;

    public List<String> getOthrol() {
        if (othrol == null) {
            othrol = new ArrayList<>();
        }
        return othrol;
    }

    public List<String> getCdtrol() {
        if (cdtrol == null) {
            cdtrol = new ArrayList<>();
        }
        return cdtrol;
    }
}
